Skip to content
POST/{organizationId}/{mandateId}/finance/accounting/balances/list

List balances

Returns a list of account balances for a given mandate

Required permissions:

  • mandate.read

  • posting.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

limitintegeroptional

Default: 50

minimum: 0

maximum: 10000

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

returnCountbooleanoptional

Default: false

Default: {"groupBy":"account","groupByDate":false,"groupByCostCenterRegion":false}

fromDatestringoptional
toDatestringoptional
costCenterRegionintegeroptional

minimum: 1

maximum: 9

maxItems: 100

includeAllCostCentersbooleanoptional
includeOpeningBalancesbooleanoptional

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/accounting/balances/list
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounting/balances/list' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "sort": {},
  "limit": 50,
  "offset": 0
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "count": 0,
  "accountBalances": [
    {
      "accountType": "asset",
      "account": 1,
      "debit": -9007199254740991,
      "credit": -9007199254740991,
      "costCenterRegion": 1,
      "balance": 0,
      "balanceType": "none",
      "balanceAmount": -9007199254740991,
      "date": "string"
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}